package vip.xiaonuo.disk.service;

import vip.xiaonuo.disk.dto.file.UploadFileDTO;
import vip.xiaonuo.disk.vo.file.UploadFileVo;

import javax.servlet.http.HttpServletRequest;

public interface ResourceFileService {

    UploadFileVo uploadFileSpeed(HttpServletRequest request,String userId,UploadFileDTO uploadFileDTO);

    void uploadFile(HttpServletRequest request, UploadFileDTO UploadFileDto, String userId);

    Long selectStorageSizeByUserId(String userId);
}
